structcmd.h File Reference

A Documented file. More...

Go to the source code of this file.

## Macros

#define | MAX(a, b)
| A macro that returns the maximum of a and b.

## Typedefs

typedef unsigned int | UINT32
| A type definition for a .

## Functions

int | open (const char *, int)
| Opens a file descriptor.
int | close (int)
| Closes the file descriptor fd.
size_t | write (int, const char *, size_t)
| Writes count bytes from buf to the filedescriptor fd.
int | read (int, char *, size_t)
| Read bytes from a file descriptor.

## Variables

int | errno
| Contains the last error code.

## Detailed Description

A Documented file.

Details.

## Macro Definition Documentation

## MAX

#define MAX | ( |  | a,
|  |  | b )

Value:
(((a)>(b))?(a):(b))

A macro that returns the maximum of a and b.

Details.

## Typedef Documentation

## UINT32

typedef unsigned int UINT32

A type definition for a .

Details.

## Function Documentation

## close()

int close | ( | int | fd | ) |

Closes the file descriptor fd.

Parameters

  fd | The descriptor to close.

## open()

int open | ( | const char * | pathname,
|  | int | flags )

Opens a file descriptor.

Parameters

  pathname | The name of the descriptor.
  flags | Opening flags.

## read()

int read | ( | int | fd,
|  | char * | buf,
|  | size_t | count )

Read bytes from a file descriptor.

Parameters

  fd | The descriptor to read from.
  buf | The buffer to read into.
  count | The number of bytes to read.

## write()

size_t write | ( | int | fd,
|  | const char * | buf,
|  | size_t | count )

Writes count bytes from buf to the filedescriptor fd.

Parameters

  fd | The descriptor to write to.
  buf | The data buffer to write.
  count | The number of bytes to write.

## Variable Documentation

## errno

int errno

Contains the last error code.

Warning
  Not thread safe!